Suppliers

Upsert Supplier

Create or update a supplier. If id is provided, updates by id. Otherwise, if externalId is provided, finds by externalId and updates or creates if not found. If neither is provided, creates a new supplier.

POST
/api/v1/suppliers
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://app.recommand.eu/api/v1/suppliers" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{
  "success": true,
  "supplier": {
    "id": "string",
    "teamId": "string",
    "externalId": "string",
    "name": "string",
    "vatNumber": "string",
    "peppolAddresses": [
      "string"
    ],
    "createdAt": "string",
    "updatedAt": "string",
    "labels": [
      {
        "id": "string",
        "externalId": "string",
        "name": "string",
        "colorHex": "string"
      }
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}